%define pypi_name msgpack

Name:           python-%{pypi_name}
Version:        1.0.8
Release:        %mkrel 1
Summary:        MessagePack (de)serializer
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/msgpack
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.

%package -n python3-%{pypi_name}
Summary:        A Python 3 MessagePack (de)serializer
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files msgpack

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README.md


%changelog
* Fri Jun 28 2024 daviddavid <daviddavid> 1.0.8-1.mga10
+ Revision: 2077948
- new version: 1.0.8

* Sat Dec 09 2023 wally <wally> 1.0.7-3.mga10
+ Revision: 2016574
- use %%pyproject_buildrequires

* Sat Dec 09 2023 wally <wally> 1.0.7-2.mga10
+ Revision: 2016449
- rebuild for py3.12

* Sat Oct 14 2023 papoteur <papoteur> 1.0.7-1.mga10
+ Revision: 1996668
- new 1.0.7

* Wed Sep 20 2023 papoteur <papoteur> 1.0.5-1.mga10
+ Revision: 1988348
- new 1.0.5

* Thu Aug 25 2022 neoclust <neoclust> 1.0.4-1.mga9
+ Revision: 1880248
- New version 1.0.4

* Sun Mar 27 2022 umeabot <umeabot> 1.0.3-3.mga9
+ Revision: 1829322
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.0.3-2.mga9
+ Revision: 1775181
- Rebuild for python-3.10

* Sun Dec 12 2021 guillomovitch <guillomovitch> 1.0.3-1.mga9
+ Revision: 1761632
- new version 1.0.3

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.0.2-2.mga9
+ Revision: 1705124
- rebuild for python 3.9

* Sat Dec 19 2020 guillomovitch <guillomovitch> 1.0.2-1.mga8
+ Revision: 1661302
- new version 1.0.2

* Fri Jun 05 2020 kekepower <kekepower> 1.0.0-1.mga8
+ Revision: 1590555
- Update to version 1.0.0

* Tue Feb 18 2020 umeabot <umeabot> 0.6.2-2.mga8
+ Revision: 1538440
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 guillomovitch <guillomovitch> 0.6.2-1.mga8
+ Revision: 1462138
- new version 0.6.2

* Mon Sep 09 2019 wally <wally> 0.6.1-2.mga8
+ Revision: 1438944
- rebuild for python3.8
- drop python2 support

* Sat Mar 16 2019 guillomovitch <guillomovitch> 0.6.1-1.mga7
+ Revision: 1377958
- new version 0.6.1

* Mon Jan 07 2019 kekepower <kekepower> 0.5.6-3.mga7
+ Revision: 1350694
- Rebuild for Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.5.6-2.mga7
+ Revision: 1300530
- Mageia 7 Mass Rebuild

* Fri Mar 02 2018 kekepower <kekepower> 0.5.6-1.mga7
+ Revision: 1206125
- Update to version 0.5.6

* Sat Feb 10 2018 daviddavid <daviddavid> 0.5.4-4.mga7
+ Revision: 1199976
- obsoletes/provides python-msgpack
- fix license
- fix description and summary

* Fri Feb 09 2018 kekepower <kekepower> 0.5.4-3.mga7
+ Revision: 1199952
- Rename python-msgpack to python2-msgpack

* Fri Feb 09 2018 kekepower <kekepower> 0.5.4-2.mga7
+ Revision: 1199948
- Change source from msgpack-python to new, upstream msgpack

* Fri Feb 09 2018 kekepower <kekepower> 0.5.4-1.mga7
+ Revision: 1199819
- Update to version 0.5.4
- Added BR for python-cython
+ pterjan <pterjan>
- Rebuild for python 3.6

* Sat Aug 05 2017 philippem <philippem> 0.4.8-1.mga7
+ Revision: 1135215
- update to 0.4.8, rebuild for Python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 0.4.6-3.mga6
+ Revision: 958624
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.4.6-2.mga6
+ Revision: 887257
- rebuild for python 3.5
- use new python macros

* Thu Jun 25 2015 guillomovitch <guillomovitch> 0.4.6-1.mga6
+ Revision: 842849
- new version 0.4.6

* Mon Oct 20 2014 tv <tv> 0.4.2-6.mga5
+ Revision: 792040
- add python3 support

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-5.mga5
+ Revision: 747692
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.2-4.mga5
+ Revision: 729136
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 688163
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Mar 30 2014 guillomovitch <guillomovitch> 0.4.2-1.mga5
+ Revision: 610329
- new version 0.4.2

* Sun Mar 02 2014 guillomovitch <guillomovitch> 0.4.1-1.mga5
+ Revision: 598639
- new version 0.4.1

* Tue Feb 04 2014 guillomovitch <guillomovitch> 0.4.0-1.mga5
+ Revision: 582112
- new version 0.4.0

* Tue Oct 22 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 543772
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.0-2.mga4
+ Revision: 498948
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Aug 20 2013 guillomovitch <guillomovitch> 0.3.0-1.mga4
+ Revision: 468148
- imported package python-msgpack

